<?php

namespace Drupal\monarch_bootstrap\Plugin\Alter\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\monarch_bootstrap\Plugin\Alter\AlterBase;

/**
 * Form alter plugin.
 *
 * @MonarchAlter("form")
 */
class FormAlter extends AlterBase {

  /**
   * {@inheritdoc}
   */
  public function alter(&$data, &$context1 = NULL, &$context2 = NULL) {
    $form = &$data;
    $form_state = $context1;
    $form_id = $context2;

    // Improve the title field.
    if (isset($form['title']['widget'][0]['#title'])) {
      $form['title']['widget'][0]['#title_display'] = 'visually_hidden';
    }
    
  }

}
